Skip to main content
Compute Management/VM Related Interfaces
GETVM Related InterfacesSince 3.7.0SynchronousAuth Required

Get VM Instance First Boot Device

Get VM Instance First Boot Device

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    Resource UUID, uniquely identifies the resource

Query Parameters

  • systemTagsList

    System Tag

  • userTagsList

    User Tag

Responses

200 OK

On success, this API returns the following response structure.

  • firstBootDeviceStringRequired

    Virtual Machine first boot device

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. When the operation succeeds, this field is null. For details, see error

    • codeStringRequired

      Error code number, a globally unique identifier of the error, for example SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field, defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field, defaults to null

    • causeErrorCodeRequired

      Root cause. The error that triggered the current error. If there is no original error, this field is null

Endpoint

GET/zstack/v1/vm-instances/{uuid}/first-boot-device

/zstack/v1/vm-instances/{uuid}/first-boot-device

Operation ID

GetVmInstanceFirstBootDevice

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vm-instances/{uuid}/first-boot-device?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "firstBootDevice": "CdRom" }

Change History

This API has no change history records yet.

View all change history